From b3c862b90881f460989cdb51c65d6624521cdc32 Mon Sep 17 00:00:00 2001
From: Juan RP <xtraeme@gmail.com>
Date: Fri, 7 Jun 2019 18:02:30 +0200
Subject: [PATCH] ccache: add clang symlinks.

This way we can build chromium with ccache.

Signed-off-by: Juan RP <xtraeme@gmail.com>
---
 srcpkgs/ccache/template | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/ccache/template b/srcpkgs/ccache/template
index f16145fd54b..ae50cc7f18e 100644
--- a/srcpkgs/ccache/template
+++ b/srcpkgs/ccache/template
@@ -1,7 +1,7 @@
 # Template file for 'ccache'
 pkgname=ccache
 version=3.7.1
-revision=1
+revision=2
 bootstrap=yes
 build_style=gnu-configure
 make_check_args="CC=gcc"
@@ -17,6 +17,11 @@ checksum=66fc121a2a33968f9ec428e02f48ff4b8896fbabb759e9c09352267014dcbe65
 
 post_install() {
 	vmkdir usr/lib/ccache/bin
+	# clang
+	for f in clang clang++; do
+		ln -sfr ${DESTDIR}/usr/bin/ccache ${DESTDIR}/usr/lib/ccache/bin/${f}
+	done
+	# gcc
 	for f in gcc cc c++ g++; do
 		ln -sfr ${DESTDIR}/usr/bin/ccache ${DESTDIR}/usr/lib/ccache/bin/${f}
 		for x in arm-linux-gnueabi arm-linux-gnueabihf armv7l-linux-gnueabihf \
